﻿Type.registerNamespace("SitefinityWebApp.FormFields");

SitefinityWebApp.FormFields.FormHiddenField = function (element) {
    this._hiddenField = null;
    this._dataFieldName = null;
    SitefinityWebApp.FormFields.FormHiddenField.initializeBase(this, [element]);
}

SitefinityWebApp.FormFields.FormHiddenField.prototype = {
    /* --------------------------------- set up and tear down ---------------------------- */

    /* --------------------------------- public methods ---------------------------------- */

    // Gets the value of the field control.
    get_value: function () {
        return jQuery(this._hiddenField).val();
    },

    // Sets the value of the text field control depending on DisplayMode.
    set_value: function (value) {
        jQuery(this._hiddenField).val(value);
    },

    /* --------------------------------- event handlers ---------------------------------- */

    /* --------------------------------- private methods --------------------------------- */

    /* --------------------------------- properties -------------------------------------- */

    get_hiddenField: function () {
        return this._hiddenField;
    },

    set_hiddenField: function (value) {
        this._hiddenField = value;
    },

    get_dataFieldName: function () {
        return this._dataFieldName;
    },

    set_dataFieldName: function (value) {
        this._dataFieldName = value;
    }
}

SitefinityWebApp.FormFields.FormHiddenField.registerClass('SitefinityWebApp.FormFields.FormHiddenField', Telerik.Sitefinity.Web.UI.Fields.FieldControl);